vennaVenna

Embeddings

Vector embedding generation.

POST
/v1/embeddings
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "input": "string",    "model": "venna-embed-1"  }'
{  "data": [    {      "embedding": [        0      ],      "index": 0,      "object": "embedding"    }  ],  "model": "string",  "object": "list",  "usage": {    "prompt_tokens": 0,    "total_tokens": 0  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}